### Hierarchy

- Message

## Index

### Properties

- autoTimeout
- category
- closeAffordance
- detail
- icon
- severity
- sound
- summary
- timestamp

## Properties

### autoTimeout

autoTimeout: number

Specifies the duration in milliseconds that the message will be shown before it closes automatically. See the Help documentation for more information.

### category

category: string

Specifies message category text which is shown next to the message icon. See the Help documentation for more information.

### closeAffordance

closeAffordance: string

Specifies the UI affordance provided to end users to be able to close the message. See the Help documentation for more information.

### detail

detail: string

Specifies detail text for the message.

### icon

icon: string

Specifies the URL for the custom image to be used as an icon representing the message. See the Help documentation for more information.

### severity

severity: string

Specifies the severity of message.

### sound

sound: string

Specifies the sound to be played when a message is opened. This is needed for accessibility. See the Help documentation for more information.

### summary

summary: string

Specifies summary text for the message.

### timestamp

timestamp: string

Specifies a timestamp for the message to be displayed in the message header. See the Help documentation for more information.

Generated using TypeDoc